Bug 432450 - Crash during single-player startup in update_conn_list_dialog()
Crash during single-player startup in update_conn_list_dialog()
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-11 22:13 EST by Wart
Modified: 2008-12-23 15:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 15:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from crashed game (4.73 KB, text/plain)
2008-02-11 22:13 EST, Wart
no flags Details

  None (edit)
Description Wart 2008-02-11 22:13:13 EST
Description of problem:
In a single player game, if you toggle between being an observer and a
non-observer before starting the game, it will crash when you try to select a
nation for yourself.

Version-Release number of selected component (if applicable):
freeciv-2.1.2-1.fc8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Click the start menu for a single player game, or run 'civclient' with no
arguments
2. Press the 'Start New Game' button
3. Without changing any other options, click on the 'Observe' button in the
lower right corner
4. Click on 'Do Not Observe' to turn observer status back off
5. Click on 'Pick Nation'
  
Actual results:
The game crashes.

Expected results:
The game opens up the Nation selection dialog.
Comment 1 Wart 2008-02-11 22:13:13 EST
Created attachment 294620 [details]
backtrace from crashed game
Comment 2 Jon Stanley 2008-02-13 23:25:49 EST
changed subject to reflect stack trace
Comment 3 Bug Zapper 2008-11-26 04:47:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Wart 2008-12-22 17:17:19 EST
This does not appear to be a problem anymore in freeciv-2.1.8-1.fc10
Comment 5 Jon Stanley 2008-12-23 15:02:49 EST
awesome, closing

Note You need to log in before you can comment on or make changes to this bug.